Update an OATH credential
PATCH/nevisidm/api/core/v1/:clientExtId/users/:userExtId/oath-credentials/:extId
Since: 8.2511.0
Required permission(s): AccessControl.CredentialModify,AccessControl.CredentialView or SelfAdmin Role
Partially updates the OATH credential with the specified external ID belonging to the given user.
Only the fields provided in the request body are updated. Omitted fields remain unchanged. The credential's label, state, policy, and modification comment can be updated.
The OATH policy is re-evaluated after the update. If the credential's policy is changed, the new policy must exist and be of type OathPolicy. If no policy is specified in the patch, the currently associated policy is reloaded and its configuration is re-validated.
In self-admin mode, a valid JWT token must be provided in the X-Token request header.
Request
Responses
- 200
- 403
- 404
- 409
- 422
OATH credential updated successfully
Insufficient permissions
Referenced resource not found
Optimistic locking conflict
Invalid request parameters